jQuery 1.11 / 2.1 beta 版发布,全面支持异步模块加载

jQuery开发团队近日发布了jQuery 1.11和2.1的beta版本。

如果你希望应用支持IE 6/7/8,那么你应该使用jQuery 1.x版本,如果你已经抛弃了IE 6/7/8用户,可以升级到jQuery 2.x版本。

jQuery 1.11和2.1版本的主要改进包括:

  • 异步模块定义(Asynchronous Module Definition,AMD):新版本全面集成了AMD,来取代旧的模块化构建系统。
  • 性能提升:在新版本中,通过延迟大量特征检测代码,来加快首次调用时的速度。
  • 支持Bower:新版本使用Bower来管理大量的内部依赖。未来jQuery团队还将发布可用于生产的jQuery to Bower版本。
  • 修复了一些bug。

新版本的API与之前版本相比并没有大的变化,因此不必担心升级后的兼容问题。

下载地址:

此条目发表在研发分类目录,贴了标签。将固定链接加入收藏夹。

发表评论